ome-xml 5.2.3

Public Member Functions | Public Attributes | List of all members
ome::xml::model::Pixels::Impl Class Reference

Private implementation details of Pixels model object. More...

Collaboration diagram for ome::xml::model::Pixels::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
ome::xml::model::primitives::PositiveInteger | sizeT
| SizeT property.
ome::xml::model::enums::DimensionOrder | dimensionOrder
| DimensionOrder property.
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > | physicalSizeZ
| PhysicalSizeZ property.
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > | physicalSizeY
| PhysicalSizeY property.
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > | physicalSizeX
| PhysicalSizeX property.
ome::xml::model::primitives::PositiveInteger | sizeX
| SizeX property.
ome::xml::model::primitives::PositiveInteger | sizeY
| SizeY property.
ome::xml::model::primitives::PositiveInteger | sizeZ
| SizeZ property.
ome::compat::shared_ptr< bool > | bigEndian
| BigEndian property.
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > > | timeIncrement
| TimeIncrement property.
ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > | significantBits
| SignificantBits property.
ome::xml::model::primitives::PositiveInteger | sizeC
| SizeC property.
ome::xml::model::enums::PixelType | type
| Type property.
std::string | id
| ID property.
ome::compat::shared_ptr< bool > | interleaved
| Interleaved property.
std::vector< ome::compat::shared_ptr< ome::xml::model::Channel > > | channels
| Channel property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::BinData > > | binDataBlocks
| BinData property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::TiffData > > | tiffDataBlocks
| TiffData property (occurs more than once)
ome::compat::shared_ptr< ome::xml::model::MetadataOnly > | metadataOnly
| MetadataOnly property.
std::vector< ome::compat::shared_ptr< ome::xml::model::Plane > > | planes
| Plane property (occurs more than once)

## Detailed Description

Private implementation details of Pixels model object.

The documentation for this class was generated from the following file:

- ome/xml/model/Pixels.cpp